Redmine - Feature #7667

Hierarchy columns should not be nullables
2011-02-21 11:02 - Etienne Massip

Status: New Start date: 2011-02-21
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Database Estimated time: 0.00 hour
Target version: 6.1.0

Resolution:

Description

The root_id, Ift, rgt columns of issues table, as well as Ift and rgt of projects table should be defined as NOT NULL.

This could prevent users from running Redmine with corrupted data due to a wrong db migration by import/export.

Related issues:
Related to Redmine - Defect #9164: Internal Error when opening Issues or Gantt Closed 2011-09-01

History

#1 - 2011-09-02 08:59 - Etienne Massip

- Target version set to Candidate for next major release
#2 - 2013-01-16 22:50 - Daniel Felix

Hi Etienne,

I just found this on the roadmap.

Any news on this issue? :-)

#3 - 2013-01-17 08:59 - Etienne Massip

- Tracker changed from Defect to Feature

- Subject changed from Hierarchy columns should not be nullables. to Hierarchy columns should not be nullables

Still here

#4 - 2024-01-02 06:23 - Go MAEDA
- File 0001-Add-not-null-constraints-to-Ift-rgt-and-root_id-in-i.patch added
- File 0002-Add-not-null-constraints-to-Ift-and-rgt-in-issues-ta.patch added

The attached patches add not null constraints to "root_id", "Ift", and "rgt" columns in issues and projects tables.

#5 - 2024-01-03 12:58 - Go MAEDA

- Target version changed from Candidate for next major release to 6.0.0

#6 - 2024-10-28 21:37 - Marius BALTEANU

- Target version changed from 6.0.0 to Candidate for next major release

#7 - 2024-10-28 21:39 - Marius BALTEANU

- Target version changed from Candidate for next major release to 6.1.0

Files
0002-Add-not-null-constraints-to-Ift-and-rgt-in-issues-ta.patch 1.15 KB 2024-01-02 Go MAEDA
0001-Add-not-null-constraints-to-Ift-rgt-and-root_id-in-i.patch 1.19 KB 2024-01-02 Go MAEDA
